3

I have alchemy Version: 0.7.0.0 and Tridion 2013SP1 on my machine. when I "install" any plugin from Webstore tab of the Alchemy. I get the notification error as below

Plugin Installation Failed
An Error Has Occurred

The same plugin gets installed successfully, if I download it and do the "Drag & Drop" on the alchemy page.

When I look at the browser console, I get the errors logged as below:

enter image description here

Now if try to browse http://localhost:81/Alchemy/api/webstore/plugins/56a615dee4de0210c46f648e/versions/1.0.0.0/install which is returning 500 internal server error, gives me the below response:

<Error>
<Message>
The requested resource does not support http method 'GET'.
</Message>
</Error>

Looks like it doesn't support GET.

Any idea, what could be the issue?

  • It is failing in the Post request url of the alchemy plugin. Do the Content Manager server has visibility over the Alchemy Webstore? Has the download you comment, been made from the same host as the Content Manager? Any problem of authentication? – Raúl Escudero Feb 26 '16 at 9:34
  • Yes, the CMS has visibility of Alchemy WebStore. No Issues with the authentication. I don't get this "Has the download you comment, been made from the same host as the Content Manager", can you explain? – Saurabh Gangwar Feb 29 '16 at 6:19
  • You said that if you download the plugin and "drag & drop" in alchemy page, it works. And my question was if that download was made from the same machine where the CMS is installed, but if you said that the CMS has visibility over the Alchemy Framework, don't think that the problem goes that way. – Raúl Escudero Feb 29 '16 at 8:21
  • Yeah, the download was from the same machine. – Saurabh Gangwar Feb 29 '16 at 8:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.